У Вас в настройках PHP register_globals=ON? какеры идут к Вам!!!

Файловый Архив

  • Неограниченное количество категорий и суб-категорий
  • Настройки прав доступа по группам
  • Настройки прав доступа по каждой категории
  • Предпросмотр медиа файлов: FLV, IFLV, F4A, F4V, MP4, MP3, MOV и других...
  • Мультизагрузка файлов - SWFUploader
  • Добавление файлов с сервера
Подробности и история обновлений продукта в этой теме
Loading

Go Back   форум vBSupport.org > > > >
Register Изображения Меню vBsupport Files Manager Аллея Звёзд Реклама на форуме Search Today's Posts Mark Forums Read
  • Мемберка
  • Администраторам
  • Premoderation
  • For English speaking users
  • Изменения в правах
  • Каталог Фрилансеров
Пароли на скачивание файлов в Member Area меняются автоматически каждый день
Если вам нужно скачать какой то скрипт, за паролем ко мне в ЛС
привет какирам kerk
Ещё раз обращаем Ваше внимание: всё, что Вы скачиваете и устанавливаете на свой форум, Вы устанавливаете исключительно на свой страх и риск.
Сообщество vBSupport'а физически не в состоянии проверять все стили, хаки и нули, выкладываемые пользователями.
Помните: безопасность Вашего проекта - Ваша забота.
Убедительная просьба: при обнаружении уязвимостей или сомнительных кодов обязательно отписывайтесь в теме хака/стиля
Спасибо за понимание
На форуме введена премодерация ВСЕХ новых пользователей

Почта с временных сервисов, типа mailinator.com, gawab.com и/или прочих, которые предоставляют временный почтовый ящик без регистрации и/или почтовый ящик для рассылки спама, отслеживается и блокируется, а так же заносится в спам-блок форума, аккаунты удаляются
for English speaking users:
You may be surprised with restriction of access to the attachments of the forum. The reason is the recent change in vbsupport.org strategy:

- users with reputation < 10 belong to "simple_users" users' group
- if your reputation > 10 then administrator (kerk, Luvilla) can decide to move you into an "improved" group, but only manually

Main idea is to increase motivation of community members to share their ideas and willingness to support to each other. You may write an article for the subject where you are good enough, you may answer questions, you may share vbulletin.com/org content with vbsupport.org users, receiving "thanks" equal your reputation points. We should not only consume, we should produce something.

- you may:
* increase your reputation (doing something useful for another members of community) and being improved
* purchase temporary access to the improved category:
10 $ for 3 months. - this group can download attachments, reputation/posts do not matter.
20 $ for 3 months. - this group can download attachments, reputation/posts do not matter + adds eliminated + Inbox capacity increased + files manager increased permissions.

Please contact kerk or Luvilla regarding payments.

Important!:
- if your reputation will become less then 0, you will be moved into "simple_users" users' group automatically.*
*for temporary groups (pre-paid for 3 months) reputation/posts do not matter.
Не можете скачать вложение?
Изменения в правах групп пользователей
внимательно читаем эту и эту темы
Короткая версия - тут
Уважаемые пользователи!

На форуме открыт новый раздел "Каталог фрилансеров"

и отдельный раздел для платных заказов "Куплю/Закажу"

 
 
Old  
GeorgiySh
Простоузер
Default отключение проверки версии подгружаемых .js 0

Здравствуйте, такой вопрос:

после установки версии 3.7.3 у меня на форуме перестало работать "отметить раздел прочитанным" и "быстрое редактирование сообщений", получается не работали элементы AJAX, путем неких манипуляций, мне удалось выяснить что проблема в vbulletin_global.js и если вместо строки
<script type="text/javascript" src="clientscript/vbulletin_global.js?v=373"></script>
в финальном коде страницы будет обращение к .../vbulletin_global.js?v=370 (указав путь на скрипт версии 3.7.0 форума), то эти неполадки исчезают. но если просто заменить скрипты, то с этой частью строки "?v=373" уже снова не работает

Как мне отключить эту проверку версии скрипта или сменить эту часть кода на
<script type="text/javascript" src="clientscript/vbulletin_global.js?v=370"></script>
?

ставить этот файл от других форумов версии 3.7.3 уже пробовал (искал через гугл
http://www.google.ru/search?rlz=1C1G...+Version+3.7.3 )
, их код абсолютно идентичный
 
Bot
Yandex Bot Yandex Bot is online now
 
Join Date: 05.05.2005
Реклама на форуме А что у нас тут интересного? =)
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

все туманно, но точно браузер не опера? стиль нестандартный?
 
Old  
kerk
k0t
 
kerk's Avatar
Default 0

при чем здесь опера?
нормально все в опере, почистить кэш после обновления от старых файлов и все...
точно так же и в других браузерах
 
Old  
GeorgiySh
Простоузер
Default 0

у меня стоит 4 разных браузера (в основном пользуюсь Google Chrome, но так как он бета конечно проверял и в других браузерах), в них и пробовал, некоторые из них почти не использовались (IE )
во всех 4-х браузерах эти неполадка работает одинаково.

а то, что со строчкой кода страницы
<script type="text/javascript" src="clientscript/vbulletin_global.js?v=370"></script>
вместо той что по выдает форум ( <script type="text/javascript" src="clientscript/vbulletin_global.js?v=373"></script> )
будет работать нормально узнал с помощью оперы (специально для тестирования установил чистую)

GeorgiySh добавил 17.10.2008 в 11:08
то что сейчас с неизмененной страницой эти функции не работают другие пользователи конечно тоже заметили

GeorgiySh добавил 17.10.2008 в 11:11
(предотвращение даблпостинга бы включили )

и кнопку редактировать сообщения тоже

GeorgiySh добавил 17.10.2008 в 11:14
(предотвращение даблпостинга бы включили )

и кнопку редактировать сообщения тоже

Quote:
Приносим вам свои извинения, но у нас на форуме пользователи могут отправлять сообщения не чаще, чем раз в 30 секунд. Попробуйте отправить своё сообщение через 15 секунд.
взял бы и склеил посты


да, забыл сообщить
Quote:
в финальном коде страницы будет обращение к .../vbulletin_global.js?v=370 (указав путь на скрипт версии 3.7.0 форума), то эти неполадки исчезают.
если указать путь на версию 3.7.0, но оставить ?v=373 ничего работать не будет!

Last edited by GeorgiySh : 10-17-2008 at 12:14 PM. Reason: Добавлено сообщение
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ну раз не опера, значит посоветовать нечего. кроме чистки кеша .
может быть даже у провайдера свой кеш ?
 
Old  
kerk
k0t
 
kerk's Avatar
Default 0

я вообще не понимаю, каким боком здесь версия форума, которая подставляется к линку
здесь эта хрень каждый раз меняется, обратите внимание на копирайт внизу страницы:
Работает на vBulletin® версия ?.?.?.... и после обновления страницы?
скрипты точно от той версии, на которой он крутится?
можно вообще убрать из headinclude ?v=$vboptions[simpleversion] и все должно работать
 
Old  
GeorgiySh
Простоузер
Default 0

Quote:
Originally Posted by netwind View Post
ну раз не опера, значит посоветовать нечего. кроме чистки кеша .
может быть даже у провайдера свой кеш ?
кэш не мешает подгрузки .js с других сайтов где он не менялся за время моих испытаний

Quote:
Originally Posted by kerk View Post
я вообще не понимаю, каким боком здесь версия форума
так как при подмене в кода страницы прямо в браузере ссылки на скрипт и/или ?v=373 на ?v=370 и обратно разница есть, то могу предположить что это все как то проверяет уже сам браузер, наверно откуда-то инстурукции для проверки берет.

Quote:
Originally Posted by kerk View Post
я вообще не понимаю, каким боком здесь версия форума, которая подставляется к линку
здесь эта хрень каждый раз меняется, обратите внимание на копирайт внизу страницы:
Работает на vBulletin® версия ?.?.?.... и после обновления страницы?
скрипты точно от той версии, на которой он крутится?
можно вообще убрать из headinclude ?v=$vboptions[simpleversion] и все должно работать
Powered by vBulletin® Version 3.7.3
вот именно эта надпись думаю точно ни на что не влияет, к тому же тут пишется "3.7.3", а там "373"
во всех скриптах написано что эта версия, такой же версии .js от других форумов тоже пробовал, ничего не изменилось. А вот от версии 3.7.0 если еще там заменить текст на ?v=370 (иначе не реагирует) то все работает.

не совсем понял, где именно менять текст?


в шаблоне modifyuserlist_headinclude такое написано только для нескольких других .js

Code:
</style>

$usercss_string

<script type="text/javascript" src="clientscript/vbulletin_colorpicker.js?v=$vboptions[simpleversion]"></script>
<if condition="$show['backgroundpicker']"><script type="text/javascript" src="clientscript/vbulletin_backgroundpicker.js?v=$vboptions[simpleversion]"></script></if>
<script type="text/javascript" src="clientscript/vbulletin_custom_profile.js?v=a"></script>
<script type="text/javascript">
<!--
var cleargifurl = "$vboptions[cleargifurl]";
//-->
</script>
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

GeorgiySh, и что у всех пользователей те же самые одинаковые глюки?

стоит двум файлам из разных версий форума загрузиться вместе, так что-нибудь обязательно сломается. Просто кеш надо чистить. Нечего тут мудрить.
 
Old  
GeorgiySh
Простоузер
Default 0

Quote:
Originally Posted by netwind View Post
GeorgiySh, и что у всех пользователей те же самые одинаковые глюки?

стоит двум файлам из разных версий форума загрузиться вместе, так что-нибудь обязательно сломается. Просто кеш надо чистить. Нечего тут мудрить.
да, у всех так

хм, 8 дней назад эту версию форума ставили, а на запросы к .js браузеру (и менеджерам загрузки) сервер выдает оказывается все еще от версии 3.6.8

Спасибо
 
Old  
kerk
k0t
 
kerk's Avatar
Default 0

Quote:
Originally Posted by GeorgiySh View Post
сервер выдает оказывается все еще от версии 3.6.8
серевер выдает?
это каким же образом?, если на сервер залиты новые файлы, от новой версии форума
яваскрипты обрабатываются на стороне клиента, т.е. браузером
 
 

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT +4. The time now is 06:44 PM.


Powered by vBulletin® Version 3.7.4
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd.